1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Postfix generates a error after Plesk 11 upgrade

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by EdwardDekker, Jun 29, 2012.

  1. EdwardDekker

    EdwardDekker Guest

    0
     
    Into my messages log do i see this error after a upgrade of Plesk 11.

    How could i correct this?
     
  2. Nikolay.

    Nikolay. Silver Pleskian

    17
    35%
    Joined:
    Jul 1, 2012
    Messages:
    844
    Likes Received:
    2
    As the error message suggests there is no real error and it does not affect mail subsystem.

    Plesk 11 uses its own SASL auxprop plugin. Previously used 'sql' plugin is not used anymore, but still present in the system. Unfortunately, both 'sql' plugin and libsasl implementation used in Postfix seem to have bugs. The first one doesn't allow configuration in which it will be simply disabled (and will not emit error messages). The second one has two issues. The first problem is that logging level setup for plugins is not working. The second problem is that a number of default plugins (including 'sql') is always loaded, even if they are not listed in configuration. Combination of these problems results in such error messages.

    You could try to "fix" your problem by removing 'sql' SASL auxprop plugin from the system. But I, personally, would not, since I'm not sure of possible adverse effects (at least without testing it first).

    P.S. You probably should have posted this thread in Plesk 11 forum section.
     
  3. RenéJ

    RenéJ New Pleskian

    13
    60%
    Joined:
    Aug 26, 2011
    Messages:
    21
    Likes Received:
    0
    Hi Guys,

    I am gettings exact the same errors, plus a 3rd one:

     
  4. Error when I send a message

    I can´t send a message but I can receive it. I have the same error in /var/log/messages.....
     
  5. Cheech

    Cheech Basic Pleskian

    14
     
    Joined:
    Sep 7, 2011
    Messages:
    34
    Likes Received:
    0
    Hi ,

    i had the same issue and i fixed it in this way:

    1. Search for smtp.conf: result on my Debian Squeeze System: /usr/lib/sasl2/smtpd.conf and /etc/postfix/sasl/smtpd.conf
    2. renamed the /usr/lib/sasl2/smtpd.conf to /usr/lib/sasl2/smtpd.old
    3. restart Postfix with /etc/init.d/postfix restart

    Now all SQLite error messages are gone and Postfix is still working fine.

    Looks like Postfix can only work with one smtp.conf

    I tried also to copy the /etc/postfix/sasl/smtpd.conf to /etc/postfix/sasl/smtpd.conf but this was not working.

    regards
    Cheech
     
  6. Michael Pöllinger

    Michael Pöllinger New Pleskian

    16
    35%
    Joined:
    Sep 3, 2010
    Messages:
    7
    Likes Received:
    0
    Same error here on CentOS 5.8. but without sqlite line



    Everything worked fine before updated from Plesk 10 to 11





    Some infos i just googled:
    MySQL support isn´t installed in postfix per base-repo
    To install postfix with mysql support it must be taken from centosplus-repo

    With MySQL found here:
    Could someone from parallels give us a recommendation / tip what has been changed and perhaps how we can resolve it?

    kind regards
    Michael
     
  7. Michael Pöllinger

    Michael Pöllinger New Pleskian

    16
    35%
    Joined:
    Sep 3, 2010
    Messages:
    7
    Likes Received:
    0
Loading...